//
//  TFTableView.m
//  Open
//
//  Created by 雷俊博 on 2019/7/1.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "TFTableView.h"

@implementation TFTableView


- (UIView *)hitTest:(CGPoint)point withEvent:(UIEvent *)event
{
    id view = [super hitTest:point withEvent:event];
    if ([view isKindOfClass:[UITextField class]]
        || [view isKindOfClass:[UIButton class]]) {
        return view;
    }else{
        [self endEditing:YES];
        return self;
    }
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
